package exception;

public class ZXChainException extends Exception {
    static final long serialVersionUID = -7034897190745766978L;

    public ZXChainException() {
        super();
    }

    public ZXChainException(String message) {
        super(message);
    }

    public ZXChainException(String message, Throwable cause) {
        super(message, cause);
    }

    public ZXChainException(Throwable cause) {
        super(cause);
    }

    public ZXChainException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace) {
        super(message, cause, enableSuppression, writableStackTrace);
    }
}
